# Class goog.labs.testing.ObjectEqualsMatcher

code »

All implemented interfaces:
  `goog.labs.testing.Matcher`

The Equals matcher.

## Constructor

goog.labs.testing.ObjectEqualsMatcher ( expectedObject )

Parameters

expectedObject: `!Object`
  The expected object.

Show:PublicProtectedPrivate

## Instance Methods

code » describe ( actualObject ) ⇒ `string`

Parameters

actualObject

code » matches ( actualObject ) ⇒ `boolean`

Determines if two objects are the same.

Parameters

actualObject

## Instance Properties

code » object_ : `!Object`